* Michael T. Heaney
* Making Protest Great Again
* January 22, 2018

* Generate Survey Weights

generate weight = 1.0

replace weight  = 1.036254302 if Conservative_Event==1&sex==0&rwhite==.
replace weight  = 0.961347553 if Conservative_Event==1&sex==1&rwhite==.
replace weight  = 0.550259067 if Conservative_Event==1&sex==.&rnative==1
replace weight  = 1.001945649 if Conservative_Event==1&sex==.&rwhite==1
replace weight  = 1.4889363   if Conservative_Event==1&sex==.&rblack==1
replace weight  = 0.758978024 if Conservative_Event==1&sex==.&rasian==1
replace weight  = 1.547603627 if Conservative_Event==1&sex==.&rlatino==1
replace weight  = 0.59742413  if Conservative_Event==1&sex==.&rother==1
replace weight  = 0.550259067 if Conservative_Event==1&rnative==1&sex==0
replace weight  = 1.100518135 if Conservative_Event==1&rwhite==1&sex==0
replace weight  = 1.788341969 if Conservative_Event==1&rblack==1&sex==0
replace weight  = 0.804224791 if Conservative_Event==1&rasian==1&sex==0
replace weight  = 2.201036269 if Conservative_Event==1&rlatino==1&sex==0
replace weight  = 0.634914308 if Conservative_Event==1&rother==1&sex==0
replace weight  = 0.550259067 if Conservative_Event==1&rnative==1&sex==1
replace weight  = 1.178238342 if Conservative_Event==1&rwhite==1&sex==1
replace weight  = 2.122427831 if Conservative_Event==1&rblack==1&sex==1
replace weight  = 0.825388601 if Conservative_Event==1&rasian==1&sex==1
replace weight  = 2.090984456 if Conservative_Event==1&rlatino==1&sex==1
replace weight  = 0.586943005 if Conservative_Event==1&rother==1&sex==1

replace weight  = 1.079919667 if Conservative_Event==0&sex==0&rwhite==.
replace weight  = 0.959871995 if Conservative_Event==0&sex==1&rwhite==.
replace weight  = 1.071748232 if Conservative_Event==0&sex==.&rnative==1
replace weight  = 0.985145884 if Conservative_Event==0&sex==.&rwhite==1
replace weight  = 1.095516842 if Conservative_Event==0&sex==.&rblack==1
replace weight  = 1.038632415 if Conservative_Event==0&sex==.&rasian==1
replace weight  = 1.011246315 if Conservative_Event==0&sex==.&rlatino==1
replace weight  = 0.896558617 if Conservative_Event==0&sex==.&rother==1
replace weight  = 1.004763967 if Conservative_Event==0&rnative==1&sex==0
replace weight  = 1.118345981 if Conservative_Event==0&rwhite==1&sex==0
replace weight  = 1.281752953 if Conservative_Event==0&rblack==1&sex==0
replace weight  = 1.125335643 if Conservative_Event==0&rasian==1&sex==0
replace weight  = 1.121105058 if Conservative_Event==0&rlatino==1&sex==0
replace weight  = 0.918641341 if Conservative_Event==0&rother==1&sex==0
replace weight  = 0.803811174 if Conservative_Event==0&rnative==1&sex==1
replace weight  = 0.978764029 if Conservative_Event==0&rwhite==1&sex==1
replace weight  = 1.097266047 if Conservative_Event==0&rblack==1&sex==1
replace weight  = 1.053885761 if Conservative_Event==0&rasian==1&sex==1
replace weight  = 1.010853446 if Conservative_Event==0&rlatino==1&sex==1
replace weight  = 0.92940667  if Conservative_Event==0&rother==1&sex==1

* Survey Count and Generate Events

sum CaseID
sum CaseID if Conservative_Event==0
sum CaseID if Conservative_Event==1

sum CaseID if Event==2
sum CaseID if Event==3
sum CaseID if Event==5
sum CaseID if Event==7
sum CaseID if Event==8
sum CaseID if Event==9
sum CaseID if Event==12
sum CaseID if Event==4
sum CaseID if Event==10
sum CaseID if Event==11

* Set Survey Weights

svyset [pweight=weight], strata(Event)

* Percent Female

generate female = 1 if sex == 1
replace female = 0 if sex ==0

svy: mean female if Conservative_Event==0
svy: mean female if Conservative_Event==1

svy: mean female if Event==2
svy: mean female if Event==3
svy: mean female if Event==5
svy: mean female if Event==7
svy: mean female if Event==8
svy: mean female if Event==9
svy: mean female if Event==12
svy: mean female if Event==4
svy: mean female if Event==10
svy: mean female if Event==11

svy: probit female Conservative_Event if pid<8

* Percent Nonwhite

generate nonwhite = 1 if rblack + rlatino + rnative + rasian > 0
replace nonwhite = 0 if rblack + rlatino + rnative + rasian == 0

svy: mean nonwhite if Conservative_Event==0
svy: mean nonwhite if Conservative_Event==1

svy: mean nonwhite if Event==2
svy: mean nonwhite if Event==3
svy: mean nonwhite if Event==5
svy: mean nonwhite if Event==7
svy: mean nonwhite if Event==8
svy: mean nonwhite if Event==9
svy: mean nonwhite if Event==12
svy: mean nonwhite if Event==4
svy: mean nonwhite if Event==10
svy: mean nonwhite if Event==11

svy: probit nonwhite Conservative_Event if pid<8

svy: mean rwhite if Event==2
svy: mean rwhite if Event==3
svy: mean rwhite if Event==5
svy: mean rwhite if Event==7
svy: mean rwhite if Event==8
svy: mean rwhite if Event==9
svy: mean rwhite if Event==12
svy: mean rwhite if Event==4
svy: mean rwhite if Event==10
svy: mean rwhite if Event==11

svy: probit rwhite Conservative_Event if pid<8

* Analysis of Partisan Identity

svy: tab pid if Conservative_Event==0
svy: tab pid if Conservative_Event==1
svy: oprobit pid Conservative_Event if pid<8

recode pid (8=0) (7=3) (6=2) (5=1) (4=0) (3=-1) (2=-2) (1=-3) if Conservative_Event==0, gen(pid_folded)
replace pid_folded=0 if Conservative_Event==1&pid==8
replace pid_folded=-3 if Conservative_Event==1&pid==7
replace pid_folded=-2 if Conservative_Event==1&pid==6
replace pid_folded=-1 if Conservative_Event==1&pid==5
replace pid_folded=0 if Conservative_Event==1&pid==4
replace pid_folded=1 if Conservative_Event==1&pid==3
replace pid_folded=2 if Conservative_Event==1&pid==2
replace pid_folded=3 if Conservative_Event==1&pid==1

svy: mean pid_folded if Conservative_Event==0
svy: mean pid_folded if Conservative_Event==1

svy: mean pid_folded if Event==2
svy: mean pid_folded if Event==3
svy: mean pid_folded if Event==5
svy: mean pid_folded if Event==7
svy: mean pid_folded if Event==8
svy: mean pid_folded if Event==9
svy: mean pid_folded if Event==12
svy: mean pid_folded if Event==4
svy: mean pid_folded if Event==10
svy: mean pid_folded if Event==11

svy: oprobit pid_folded Conservative_Event

* Analysis of Past Campaign Participation

generate partyactivity = 1 if pvoltime + ppaidstaff + pregvoters + pcamprally + pemaillist + pcampcont + praisemoney + pcampbutton + psticker + psign > 0
replace partyactivity = 0 if pvoltime + ppaidstaff + pregvoters + pcamprally + pemaillist + pcampcont + praisemoney + pcampbutton + psticker + psign == 0

svy: mean partyactivity if Conservative_Event==0
svy: mean partyactivity if Conservative_Event==1

svy: mean partyactivity if Event==2
svy: mean partyactivity if Event==3
svy: mean partyactivity if Event==5
svy: mean partyactivity if Event==7
svy: mean partyactivity if Event==8
svy: mean partyactivity if Event==9
svy: mean partyactivity if Event==12
svy: mean partyactivity if Event==4
svy: mean partyactivity if Event==10
svy: mean partyactivity if Event==11

svy: probit partyactivity Conservative_Event

* Analysis of Past Event Participation

svy: mean iprotestinaug if Event==12
svy: mean iwomens if Event==12
svy: mean itaxmarch if Event==12
svy: mean im4science if Event==12
svy: mean iclimate if Event==12
svy: mean iequality if Event==12
svy: mean im4life if Event==12
svy: mean imother if Event==12
svy: mean ikeeppromises if Event==12

generate pastralliesliberal = 1 if iprotestinaug + iwomens + itaxmarch + im4science + iclimate + iequality > 0 & Event==12
replace pastralliesliberal = 0 if iprotestinaug + iwomens + itaxmarch + im4science + iclimate + iequality == 0 & Event==12
generate pastralliesconservative = 1 if im4life + imother + ikeeppromises > 0 & Event==12
replace pastralliesconservative = 0 if im4life + imother + ikeeppromises == 0 & Event==12

ttest pastralliesliberal = pastralliesconservative

* Analysis of Attitudes on Intersectionality

generate Intersect = Reason1_Intersect + Reason13_Intersect

svy: mean Intersect if Event==3
svy: mean Intersect if Event==12

generate Event03 = 1 if Event == 3
replace Event03 = 0 if Event != 3

svy: probit Intersect if Event==3 | Event==12
